[coreboot-gerrit] Patch set updated for coreboot: 0c67d33 boardstatus: Handle clones.

Vladimir Serbinenko (phcoder@gmail.com) gerrit at coreboot.org
Sun Jan 19 01:01:40 CET 2014


Vladimir Serbinenko (phcoder at gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/4732

-gerrit

commit 0c67d33797701d2ef719262042c4158e2459c59d
Author: Vladimir Serbinenko <phcoder at gmail.com>
Date:   Sun Jan 19 00:37:23 2014 +0100

    boardstatus: Handle clones.
    
    Change-Id: I7bfe19eb800729713a549dc0396765a9785e11b1
    Signed-off-by: Vladimir Serbinenko <phcoder at gmail.com>
---
 src/mainboard/asus/a8n_sli/board_info.txt     | 1 +
 src/mainboard/jetway/j7f4k1g2e/board_info.txt | 1 +
 src/mainboard/jetway/j7f4k1g5d/board_info.txt | 1 +
 src/mainboard/via/epia-mii/board_info.txt     | 2 +-
 src/mainboard/via/epia-ml/board_info.txt      | 1 +
 util/board_status/to-wiki/towiki.sh           | 6 ++++++
 6 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/src/mainboard/asus/a8n_sli/board_info.txt b/src/mainboard/asus/a8n_sli/board_info.txt
index e0f874a..a8014d9 100644
--- a/src/mainboard/asus/a8n_sli/board_info.txt
+++ b/src/mainboard/asus/a8n_sli/board_info.txt
@@ -3,3 +3,4 @@ Category: desktop
 ROM package: PLCC
 ROM socketed: y
 Flashrom support: y
+Clone of: asus/a8n_e
diff --git a/src/mainboard/jetway/j7f4k1g2e/board_info.txt b/src/mainboard/jetway/j7f4k1g2e/board_info.txt
index 9a9689a..18199ea 100644
--- a/src/mainboard/jetway/j7f4k1g2e/board_info.txt
+++ b/src/mainboard/jetway/j7f4k1g2e/board_info.txt
@@ -1,2 +1,3 @@
 Board URL: http://www.jetway.com.tw/jw/ipcboard_view.asp?productid=279&proname=J7F4K1G2E
 Category: mini
+Clone of: jetway/j7f2
diff --git a/src/mainboard/jetway/j7f4k1g5d/board_info.txt b/src/mainboard/jetway/j7f4k1g5d/board_info.txt
index 6caaabb..3651386 100644
--- a/src/mainboard/jetway/j7f4k1g5d/board_info.txt
+++ b/src/mainboard/jetway/j7f4k1g5d/board_info.txt
@@ -1,2 +1,3 @@
 Board URL: http://www.jetway.com.tw/jw/ipcboard_view.asp?productid=279&proname=J7F4K1G5D
 Category: mini
+Clone of: jetway/j7f2
diff --git a/src/mainboard/via/epia-mii/board_info.txt b/src/mainboard/via/epia-mii/board_info.txt
index c758fe9..78b956d 100644
--- a/src/mainboard/via/epia-mii/board_info.txt
+++ b/src/mainboard/via/epia-mii/board_info.txt
@@ -1,4 +1,4 @@
 Board URL: http://www.via.com.tw/en/products/mainboards/motherboards.jsp?motherboard_id=202
-
 Flashrom support: y
 Category: mini
+Clone of: via/epia-m
diff --git a/src/mainboard/via/epia-ml/board_info.txt b/src/mainboard/via/epia-ml/board_info.txt
index 2870d3d..cbea112 100644
--- a/src/mainboard/via/epia-ml/board_info.txt
+++ b/src/mainboard/via/epia-ml/board_info.txt
@@ -1,3 +1,4 @@
 Board URL: http://www.via.com.tw/en/products/mainboards/motherboards.jsp?motherboard_id=301
 Flashrom support: y
 Category: mini
+Clone of: via/epia-m
diff --git a/util/board_status/to-wiki/towiki.sh b/util/board_status/to-wiki/towiki.sh
index 02204df..e61b23a 100755
--- a/util/board_status/to-wiki/towiki.sh
+++ b/util/board_status/to-wiki/towiki.sh
@@ -157,6 +157,7 @@ EOF
 			vendor_cooperation_score="$(sed -n "/^[[:space:]]*Vendor cooperation score:/ s,^[[:space:]]*Vendor cooperation score:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
 			vendor_cooperation_page="$(sed -n "/^[[:space:]]*Vendor cooperation page:/ s,^[[:space:]]*Vendor cooperation page:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
 			board_url="$(sed -n "/^[[:space:]]*Board URL:/ s,^[[:space:]]*Board URL:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
+			clone_of="$(sed -n "/^[[:space:]]*Clone of:/ s,^[[:space:]]*Clone of:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
 		else
 			board_nice=
 			rom_package=
@@ -166,6 +167,7 @@ EOF
 			vendor_cooperation_score=
 			vendor_cooperation_page=
 			board_url=
+			clone_of=
 		fi
 		if [ "$last_vendor" != "$vendor" ]; then
 			last_vendor="$vendor"
@@ -190,6 +192,10 @@ EOF
 
 		lastgood="$(echo "$have"| sed -n "/^$vendor\/$board:/ s,^[^:]*:,,gp")"
 
+		if ! [ -z "$clone_of" ]; then
+		    vendor_board_dir="$COREBOOT_DIR"/src/mainboard/"$clone_of";
+		fi
+
 		northbridge="$(sed -n "/^[[:space:]]*select NORTHBRIDGE_/ s,^[[:space:]]*select NORTHBRIDGE_,,p" "$vendor_board_dir/Kconfig")"
 		northbridge_nice="$(echo "$northbridge"|sed 's,AMD_AGESA_FAMILY\(.*\),AMD Family \1h (AGESA),g;s,AMD_FAMILY\(.*\),AMD Family \1h,g;s,AMD_AMDFAM\(.*\),AMD Family \1h,g;s,_, ,g;s,INTEL,Intel®,g;')"
 



More information about the coreboot-gerrit mailing list